Bug 120307 - kudzu fails to update modules.conf when installing Philips ToUcam II webcam
kudzu fails to update modules.conf when installing Philips ToUcam II webcam
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: udev (Show other bugs)
rawhide
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-07 13:33 EDT by Richard Hughes
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-24 09:32:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Hughes 2004-04-07 13:33:18 EDT
Description of problem:
When I plug in Philips ToUcam II webcam, and run kudzu, I get the
following:

#tail /var/log/messages
Apr  7 18:27:05 laptop kernel: Linux video capture interface: v1.00
Apr  7 18:27:05 laptop kernel: usb.c: registered new driver ov511
Apr  7 18:27:05 laptop kernel: ov511.c: USB OV518 video device found
Apr  7 18:27:05 laptop kernel: ov511.c: Device revision 1
Apr  7 18:27:05 laptop kernel: ov511.c: Compression required with
OV518...enabling
Apr  7 18:27:05 laptop kernel: ov511.c: Sensor is an OV6630AF
Apr  7 18:27:06 laptop kernel: ov511.c: Device at usb-00:1d.0-1
registered to minor 0
Apr  7 18:27:06 laptop kernel: ov511.c: v1.65 : ov511 USB Camera Driver

But when i run xawtv i get:
can't open /dev/video0: Function not implemented
v4l2: open /dev/video0: Function not implemented
v4l2: open /dev/video0: Function not implemented
v4l: open /dev/video0: Function not implemented
no video grabber device available

This camera contains the newer ov518 chip, which uses the standard
ov511 module. BUT it also needs the appropriate decompressor module to
be also loaded before the ov511 module.

Adding a line in modules.conf, specifying the decompressor to use is
required:

above ov511 ov518_decomp

then I can do "modprobe ov511" and then:

#tail /var/log/messages
Apr  7 18:30:23 laptop kernel: ov511.c: driver deregistered
Apr  7 18:30:26 laptop kernel: Linux video capture interface: v1.00
Apr  7 18:30:26 laptop kernel: usb.c: registered new driver ov511
Apr  7 18:30:26 laptop kernel: ov511.c: USB OV518 video device found
Apr  7 18:30:26 laptop kernel: ov511.c: Device revision 1
Apr  7 18:30:26 laptop kernel: ov511.c: Compression required with
OV518...enabling
Apr  7 18:30:27 laptop kernel: ov511.c: Sensor is an OV6630AF
Apr  7 18:30:28 laptop kernel: ov511.c: Device at usb-00:1d.0-1
registered to minor 0
Apr  7 18:30:28 laptop kernel: ov511.c: v1.65 : ov511 USB Camera Driver
Apr  7 18:30:28 laptop kernel: ov518_decomp.c: v1.3 : OV518
Decompression Module

then xawtv, gnomemeeting etc work as expected using v4l2.


I havn't tested this with FC2T2, but there aren't any bug reports I
can see.





Version-Release number of selected component (if applicable):
kudzu-1.1.36.1-1

How reproducible:
Always

Steps to Reproduce:
1. Plug in Philips ToUcam II
2. Run kudzu


Actual Results:  Nothing! kudzu failed to recognise the camera or
alter modules.conf

Expected Results:  kudzu should recognise the webcam, and add "above
ov511 ov518_decomp" to modules.conf

Additional info:

Bus 001 Device 004: ID 05a9:0518 OmniVision Technologies, Inc. OV518
WebCam
Comment 1 Bill Nottingham 2004-04-07 17:18:32 EDT
Is there any way at all to *know* that this needs the decomp module?
Comment 2 Richard Hughes 2004-04-08 04:11:58 EDT
Referring to : 
/usr/src/linux-2.4.22-1.2174.nptl/Documentation/usb/ov511.txt (for 
the ov511 driver) 
and: 
http://alpha.dyndns.org/ov511/install.html (for the decomp loading):  
 
It would appear that all ov518 camera's require this module. 
 
From the lspci output it clearly states this fact: 
Bus 001 Device 004: ID 05a9:0518 OmniVision Technologies, Inc. OV518 
WebCam 
 
If you need any more info, please ask. 
 
Comment 3 Bill Nottingham 2005-09-23 17:01:59 EDT
Assigning to udev. Realistically, this needs to be something in the system udev
rules.
Comment 4 Harald Hoyer 2006-01-24 09:32:03 EST
notting: do you really want to tweak modprobe.conf from within udev??

As we don't ship "ov518_decomp", the package, which provides it could also install
/etc/udev/rules.d/80-ov518.rules or /etc/modprobe.d/ov518
Comment 5 Bill Nottingham 2006-01-24 09:34:53 EST
It's probably best shipped with the secondary driver, yes.

Note You need to log in before you can comment on or make changes to this bug.